Subject: Re: [PATCH iproute2] Re: HTB accuracy for high speed

From: Jarek Poplawski <[email-masked]>
Date: Tue, 19 May 2009 11:18:57 +0000

On Tue, May 19, 2009 at 02:04:50PM +0300, Denys Fedoryschenko wrote:
> On Tuesday 19 May 2009 13:55:43 Antonio Almeida wrote:
> > Doesn't seem to make any diference seting HTB_HYSTERESIS to 0. Here're
> > the values using #define HTB_HYSTERESIS 0
> >
> > 800 bytes:
> > class htb 1:108 parent 1:10 leaf 108: prio 7 quantum 1514 rate
> > 555000Kbit ceil 555000Kbit burst 70901b/8 mpu 0b overhead 0b cburst
> > 70901b/8 mpu 0b overhead 0b level 0
> >  Sent 9773257752 bytes 12277962 pkt (dropped 6292541, overlimits 0 requeues
> > 0) rate 621796Kbit 97644pps backlog 0b 127p requeues 0
> >  lended: 12277835 borrowed: 0 giants: 0
> >  tokens: -7 ctokens: -7
> 6292541 dropped from 12277962 pkt, means 51% dropped. Maybe something fishy 
> here?
> 
> Can you try instead of SFQ - BFIFO? For 100ms buffer, 550Mbit/s it will be 
> ~6875000 bytes bfifo.
> 
> It is by the way too short, IMHO, for this bandwidth, 127 packets is not 
> enough. 127 packets with 800 bytes can buffer 1 second for 812Kbit/s only, 
> and for 550Mbit/s it will buffer data for ~2ms only.
> 

Sure, if the queue is too short we could have a problem with reaching
the expected rate; but here it's all backwards - it could actually
"help" with the stats. ;-)

Jarek P.